## pytrack 0.3

=== gps/Makefile ===
SRC=$(wildcard *.c)
HED=$(wildcard *.h)
OBJ=$(SRC:.c=.o) # replaces the .c from SRC with .o
EXE=pytrack-gps

INDOPT= -bap -bl -blf -bli0 -brs -cbi0 -cdw -cs -ci4 -cli4 -i4 -ip0 -nbc -nce -lp -npcs -nut -pmt -psl -prs -ts4

CC=gcc
CFLAGS=-Wall -O3 -g #-std=c99
LDFLAGS= -lm -lwiringPi -lpthread
RM=rm

%.o: %.c *.h     # combined w/ next line will compile recently changed .c files
	$(CC) $(CFLAGS) -o $@ -c $<

.PHONY : all     # .PHONY ignores files named all
all: $(EXE)      # all is dependent on $(EXE) to be complete

$(EXE): $(OBJ)   # $(EXE) is dependent on all of the files in $(OBJ) to exist
	$(CC) $(OBJ) $(LDFLAGS) -o $@

.PHONY : clean   # .PHONY ignores files named clean
clean:
	-$(RM) $(OBJ)

tidy:
	indent $(INDOPT) $(SRC) $(HED)
	rm *~

=== debian/changelog ===
pytrack (0.3) stretch; urgency=medium

  * Fixed imports in tracker.py

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 27 Mar 2018 14:58:00 +0100

pytrack (0.2) stretch; urgency=medium

  * Updated documentation

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 26 Mar 2018 08:59:26 +0100

pytrack (0.1) stretch; urgency=medium

  * Initial Release.

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 10 Nov 2017 18:29:07 +0000

=== debian/control ===
Source: pytrack
Section: hamradio
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools
Standards-Version: 3.9.8
Homepage: http://github.com/raspberrypi/pytrack
X-Python3-Version: >= 3.2

Package: python3-pytrack
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, ssdv, pytrack-gps, pigpio
Description: HAB Receiver for RTTY and LoRa (Python 3)
 .
 This package installs the library for Python 3.

Package: pytrack-gps
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, wiringpi
Description: Presents the Ublox  6/7/8 GPS receiver as a network socket
 Provides a network socket to comminicate with Ublox GPS recievers through
 bitbanged I2C

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=pytrack

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

override_dh_clean:
	cd gps && make clean
	dh_clean
